import request from '@/utils/request'

// 创建ETM 设备调拨单  明细
export function createTransferEquipmentDetail(data) {
  return request({
    url: '/etm/transfer-equipment-detail/create',
    method: 'post',
    data: data
  })
}

// 更新ETM 设备调拨单  明细
export function updateTransferEquipmentDetail(data) {
  return request({
    url: '/etm/transfer-equipment-detail/update',
    method: 'put',
    data: data
  })
}

// 删除ETM 设备调拨单  明细
export function deleteTransferEquipmentDetail(id) {
  return request({
    url: '/etm/transfer-equipment-detail/delete?id=' + id,
    method: 'delete'
  })
}

// 获得ETM 设备调拨单  明细
export function getTransferEquipmentDetail(id) {
  return request({
    url: '/etm/transfer-equipment-detail/get?id=' + id,
    method: 'get'
  })
}

// 获得ETM 设备调拨单  明细分页
export function getTransferEquipmentDetailPage(query) {
  return request({
    url: '/etm/transfer-equipment-detail/getbytranferid',
    method: 'get',
    params: query
  })
}

// 导出ETM 设备调拨单  明细 Excel
export function exportTransferEquipmentDetailExcel(query) {
  return request({
    url: '/etm/transfer-equipment-detail/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
